Subject: Re: 32-bit setup-x86.exe missing on cygwin.com
From: Takashi Yano via Cygwin <[email-masked]>
To: [email-masked]
Cc: Olivier Souan <[email-masked]>
Date: Tue, 6 Dec 2022 11:01:55 +0900
List-Id: General Cygwin discussions and problem reports <cygwin.cygwin.com>

On Tue, 6 Dec 2022 02:32:00 +0100
Olivier Souan wrote:
> Hello,
> 
> I am an enthusiastic user of Cygwin since a few years but now I cannot
> download a functioning 32-bit setup-x86.exe from cygwin.com.
> 
> Indeed, the webpage "https://www.cygwin.com/install.html" reads:
> 
> "About 32 bit Cygwin
> The limited address space of 32 bit Windows means that random failures
> in the fork(2) system call are more likely. Therefore, we recommend
> using 32 bit Cygwin only in limited scenarios, with only a minimum of
> necessary packages installed, and only if there's no way to run 64 bit
> Cygwin instead.
> You have been warned. If you're still sure you really need a 32 bit
> Cygwin, and there's absolutely no way around it, you may run the
> setup-x86.exe [link to https://www.cygwin.com/setup-x86.exe]
> installer. The signature can be used to verify the validity of this
> binary."
> 
> However, when downloaded on a 32-bit computer from the abovementioned
> link, setup-x86.exe yields the following error message:
> 
> "Cygwin is not supported on 32-bit Windows."
> 
> (I need this support to run legacy apps and do some low-level back-end
> development). Moreover, since a few months/weeks, downloading with my
> version setup-x86.exe (2.905) is impossible: after selecting a random
> download website, the following error message appears:
> 
> "The current .ini file requires at least version 2.924 of setup.
> Please download a newer version from
> https://www.cygwin.com/setup-x86.exe"
> 
> Where can I find a 32-bit version of 2.924 setup-x86 ?
> 
> If 32-bit support is really not possible, would that be at least
> possible either to:
> 
> 1) Offer a truly functioning 32-bit version of setup-x86.exe, distinct
> from setup-x86_64.exe, or
> 2) Open a legacy 32-bit download site where all the 32-bit compliant
> packages would be stored.

https://cygwin.com/install.html#unsupported
https://cygwin.com/pipermail/cygwin/2022-December/252573.html

You should add command line options to setup-x86.exe:
setup-x86.exe --allow-unsupported-windows --site http://ctm.crouchingtigerhiddenfruitbat.org/pub/cygwin/circa/2022/11/23/063457

-- 
Takashi Yano <[email-masked]>

-- 
Problem reports:      https://cygwin.com/problems.html
FAQ:                  https://cygwin.com/faq/
Documentation:        https://cygwin.com/docs.html
Unsubscribe info:     https://cygwin.com/ml/#unsubscribe-simple